class SudokuMain {

	public static void main(String [] args) {
		int [] initValues = 
			{
				1, 0, 0,  0, 0, 0,  0, 0, 0,
				0, 7, 2,  8, 0, 0,  0, 0, 6,
				5, 0, 9,  2, 0, 0,  0, 7, 8,
			
				7, 0, 0,  0, 0, 0,  0, 0, 0,
				0, 0, 5,  6, 1, 9,  7, 0, 0,
				0, 0, 0,  0, 0, 0,  0, 0, 3,
			
				8, 3, 0,  0, 0, 7,  1, 0, 9,
				9, 0, 0,  0, 0, 2,  6, 4, 7,
				0, 0, 0,  0, 0, 0,  0, 0, 5};

		try 
		{
			ConsolePuzzle p = new ConsolePuzzle();
			p.Initialize(initValues);
			
			p.Print();
			while (false == p.isSolved()) 
			{
				p.Advance();
				System.in.read();
				p.Print();
			}
			System.in.read();
		} 
		catch (java.io.IOException e) 
		{
		}
	}
}
